IRPCUserGroupsAdmin.ModifyUserGroup

View as Markdown

Administration API / specialized admin session idempotent

Replaces the data and members of an existing user group.

ServiceUser groups MFiles.IRPCUserGroupsAdmin
gRPC method/MFiles.IRPCUserGroupsAdmin/ModifyUserGroup
HTTP (mf-http-grpc)POST /grpc/v1/modify-user-group
RequestModifyUserGroupRequest
ResponseModifyUserGroupResponse
Book and levelAdministration API, specialized
Kindadmin
SessionRequired: the session ID from LogIn in the mfiles-session-id-bin metadata.
Idempotentyes
Returns metadata structure versionno
Streamingnone (unary)

Remarks

Request: ModifyUserGroupRequest

Nested message fields are expanded to depth 3; follow a type link for deeper levels and for the type's own page. Fields marked (recursive) refer to a type already on their path.

FieldTypeDescription
usergroupUserGroupThe complete new data of the group; user_group.id identifies the group.
usergroup.user_groupUserGroupBasicThe basic data of the group.
usergroup.user_group.idint32The ID of the user group.
usergroup.user_group.namestringThe name of the group.
usergroup.user_group.members[]repeated int32The IDs of the members of this group (user accounts and/or user groups).
usergroup.user_group.typeUserGroupTypeUser group type.Values: USER_GROUP_TYPE_NORMAL (0), USER_GROUP_TYPE_REPOSITORY_USER (1), USER_GROUP_TYPE_REPOSITORY_GROUP (2), USER_GROUP_TYPE_ANY (-1).
usergroup.is_external_windows_groupboolIs group imported from Windows domain.
usergroup.synchronize_membershipsboolShould memberships of this group be synchronized automatically.
usergroup.license_type_for_new_loginsLicenseTypeType of the license for logins created automatically.Values: LICENSE_TYPE_NONE (0), LICENSE_TYPE_NAMED_USER_LICENSE (1), LICENSE_TYPE_CONCURRENT_USER_LICENSE (2), LICENSE_TYPE_READ_ONLY_LICENSE (3), LICENSE_TYPE_VISITOR_LICENSE (4).
usergroup.external_group_namestringThe name for external group. Empty if the group is not external.
usergroup.organizational_unitstringThe organizational unit for filtering the AD group searches. Empty if the group is not external.
usergroup.aclAccessControlListPermissions.
usergroup.acl.checked_out_to_userint32Specifies the ID of the user who has extended rights because of the checkout operation performed by her. 0 if such user does not exist.
usergroup.acl.is_fully_authoritativeboolSpecifies whether this access control list is set to ignore the secondary permissions that come from the latest checked in version.
usergroup.acl.custom_componentAccessControlListComponentAccesses the custom component of this ACL.
usergroup.acl.restrictive_components[]repeated AccessControlListComponentMapEntryAccesses the restrictive automatic components of this ACL.
usergroup.acl.secondary_access_control_listAccessControlList (recursive)Secondary ACL used for latest version ACL. Not used for access check if null.
usergroup.acl.additive_components[]repeated AccessControlListComponentMapEntryAccesses the additive automatic components of this ACL.
usergroup.aliasesstringSemicolon-separated list of semantic aliases.
usergroup.import_modeExternalGroupImportModeImport mode for external groups.Values: EXTERNAL_GROUP_IMPORT_MODE_UNDEFINED (0), EXTERNAL_GROUP_IMPORT_MODE_DIRECT_USERS (1), EXTERNAL_GROUP_IMPORT_MODE_DIRECT_AND_NESTED_USERS (2).
usergroup.external_repository_namestringExternal repository name. unset if this group doesn't represent external repository user information.
usergroup.external_repository_subject_idstringID in the external repository. unset if this group doesn't represent external repository user information.

Response: ModifyUserGroupResponse

No fields.